<?php
$phone_ip= "192.168.2.23"; // "192.168.7.222";
$phone_port= "8123";
$log_dir = dirname(get_included_files()[0])."/attic/logs"; //  "/home/eyesis/git/motosat/attic/logs/";
$log_name = "phone08.log"; 
//http://localhost/motosat/log_phone_sensors.php?ip=192.168.2.23&log_name=phone10.log
//php7.0 log_phone_sensors.php ip=192.168.2.23 log_name=phone11.log
if (isset($argc)) {
    unset($argv[0]);
    foreach ($argv as $value) {
        $a = parse_ini_string($value);
        if (count($a) > 0){
            foreach ($a as $k=>$v){
                $_GET[$k]=$v;
            }
        } else {
            $_GET[$value]='';
        }
    }
    
}
if (isset($_GET["ip"])) {
    $phone_ip = $_GET["ip"];
}
if (isset($_GET["log_dir"])) {
    $log_dir = $_GET["log_dir"];
}
if (isset($_GET["log_name"])) {
    $log_name = $_GET["log_name"];
}

$phone_url = "http://".$phone_ip.":".$phone_port;
$log_path = rtrim($log_dir,"/")."/".$log_name;

if (false) {
    var_dump($_GET);
    echo '$phone_url =' . $phone_url . "\n";
    echo 'log_path = ' . $log_path . "\n";
    exit(0);
}
$log_file = fopen($log_path,"w");
$ts_l = 14;
$acc_l = 35;
$mag_l = 35;
$long_l = 12;
$lat_l = 12;
$salign =  128; // used 108
//$ll = $ts_l + $acc_l + $mag_l + $long_l + $lat_l;
$fs = "%".$ts_l."s,%".$acc_l."s,%".$mag_l."s,%".$lat_l."s,%".$long_l."s";


libxml_use_internal_errors(true); // supress XML errors
while (true){
    $xml = simplexml_load_file($phone_url);
//PHP Warning:  simplexml_load_file(http://192.168.7.222:8123): failed to open stream: Connection refused in /home/eyesis/git/motosat/log_phone_sensors.php on line 18
//PHP Warning:  simplexml_load_file(): I/O warning : failed to load external entity "http://192.168.7.222:8123" in /home/eyesis/git/motosat/log_phone_sensors.php on line 18
        
    if ($xml) {
        $ts = $xml->timestmap;
        $acc = $xml->accelerometer;
        $mag = $xml->magnetometer;
        $long = $xml->longitude;
        $lat = $xml->latitude;
        $line = sprintf($fs, $ts, $acc, $mag, $long, $lat);
        $line .= sprintf("%" . ($salign - strlen($line) - 1) . "s", " ") . "\n";
        fwrite($log_file, $line);
    }
}


function getDishAngles($xml_state){
    $DishAngles =     explode(",",$xml_state->DishAngle);
    foreach ($DishAngles as $key => $value){
        $DishAngles[$key] = floatval($value);
    }
    return $DishAngles;
}

function myfval ($s) {
    $s=trim($s,"\" ");
    return floatval($s);
}

/*
 $xml=simplexml_load_string("<sensors><timestmap>1570632414615</timestmap><accelerometer>0.095215, -0.811707, 9.966614</accelerometer><magnetometer>-15.299988, 4.798889, 46.078491</magnetometer><azimuth>61.597424</azimuth><pitch>4.655828</pitch><roll>-0.547352</roll><longitude>-111.932889</longitude><latitude>40.723488</latitude><date>Wed Oct 09 14:46:54 MDT 2019</date></sensors>");
 
 */
//1570632414615 // 13
//-111.932889   // 11
//0.095215, -0.811707, 9.966614 // 29
// -15.299988, 4.798889, 46.078491 // 31
?>